from setuptools import setup, find_packages
version = '1.0'
name = "buildout.rebootstrap"

long_description = open("README.txt").read() + '\n\n'

setup(
  name=name,
  version=version,
  description="A zc.buildout extension to solve chicken-and-egg problem of"\
      " using python which is built by itself",
  long_description=long_description,
  classifiers=[
      "Development Status :: 1 - Beta",
      "Framework :: Buildout :: Extension",
      "License :: LGPL :: GNU LESSER GENERAL PUBLIC LICENSE",
      "Intended Audience :: Developers",
      "Programming Language :: Python",
      "Topic :: Software Development :: Build Tools",
      "Topic :: Software Development :: Libraries :: Python Modules",
      ],
  entry_points={
     'zc.buildout.extension': ['extension = %s:extension' % name],
     },
  url='https://lab.reservices.be/aurelien2/buildout.rebootstrap',
  maintainer='Aurelien Vermylen',
  maintainer_email='aurelien.vermylen@reservices.be',
  license='LGPL',
  include_package_data=True,
  namespace_packages=['buildout'],
  packages=find_packages(),
  zip_safe=True,
  dependency_links=[
    'http://www.nexedi.org/static/packages/source/slapos.buildout/',
    ],
  install_requires=[
    'setuptools',
    'zc.buildout >=2.5.2+slapos005, <2.5.3',
    ],
  tests_require=[
      'zope.testing',
      'manuel'
    ],
  test_suite='%s.tests.test_suite' % name,
)
